/*
 * header file for stty commands.
 *
 * Copyright 2000 by Gray Watson
 *
 * This file is part of the serial-util package.
 *
 * Permission to use, copy, modify, and distribute this software for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of Gray Watson not be used in advertising
 * or publicity pertaining to distribution of the document or software
 * without specific, written prior permission.
 *
 * Gray Watson makes no representations about the suitability of the
 * software described herein for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * The author may be contacted at http://256.com/gray/
 *
 * $Id: stty.h,v 1.11 2000/03/09 03:49:08 gray Exp $
 */

#ifndef __STTY_H__
#define __STTY_H__

/*<<<<<<<<<<  The below prototypes are auto-generated by fillproto */

/*
 * Map from stty COMMAND into changes made to FD and TERM_P.  If EXCL
 * then clear all flags before setting this command.  Returns serial
 * error codes.
 */
extern
int	_stty_do(const int fd, const char *command, const char excl,
		 struct termios *term_p);

/*
 * Flush some input and/or ouput from FD.  Returns serial error codes.
 */
extern
int	_stty_flush(const int fd);

/*<<<<<<<<<<   This is end of the auto-generated output from fillproto. */

#endif /* ! __STTY_H__ */
