/*
 * defines for the util module
 *
 * Copyright 2000 by Gray Watson
 *
 * This file is part of the serial-util package.
 *
 * Permission to use, copy, modify, and distribute this software for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of Gray Watson not be used in advertising
 * or publicity pertaining to distribution of the document or software
 * without specific, written prior permission.
 *
 * Gray Watson makes no representations about the suitability of the
 * software described herein for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * The author may be contacted at http://256.com/gray/
 *
 * $Id: util.h,v 1.7 2000/03/09 03:49:09 gray Exp $
 */

#ifndef __UTIL_H__
#define __UTIL_H__

/*<<<<<<<<<<  The below prototypes are auto-generated by fillproto */

/*
 * Display printable chars from BUF of SIZE, non-printables as \%03o
 */
extern
char	*_expand_buf(const void *buf, const int size);

/*
 * Display printable chars from STR normally, non-printables as \%03o
 */
extern
char	*_expand_string(const char *str);

/*
 * Reverse of expand_string, translates "\\003" into '\003' in string
 * STR and passes back length in LEN_P (if not null) into static 2k
 * buffer that it returns.
 */
extern
char	*_decode_buf(const char *str, int *len_p);

/*
 * Reverse of expand_string, translates "\\003" into '\003' in string
 * STR into static 2k buffer that it returns.
 */
extern
char	*_decode_string(const char *str);

/*<<<<<<<<<<   This is end of the auto-generated output from fillproto. */

#endif /* ! __UTIL_H__ */
