/*
 * prototypes for the uucp-lock dir.
 *
 * Copyright 2000 by Gray Watson
 *
 * This file is part of the serial-util package.
 *
 * Permission to use, copy, modify, and distribute this software for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of Gray Watson not be used in advertising
 * or publicity pertaining to distribution of the document or software
 * without specific, written prior permission.
 *
 * Gray Watson makes no representations about the suitability of the
 * software described herein for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * The author may be contacted at http://256.com/gray/
 *
 * $Id: uucp_lock.h,v 1.9 2000/03/09 03:49:09 gray Exp $
 */

#ifndef __UUCP_LOCK_H__
#define __UUCP_LOCK_H__

#define UUCP_LOCK_DIR		"/var/spool/locks"

#undef IMPORT
#define IMPORT	extern

/*<<<<<<<<<<  The below prototypes are auto-generated by fillproto */

/*
 * Lock PORT (either /dev/file or just file).  PORT is a file name
 * which should be created in the lock directory.  Returns 1 on
 * success else 0.
 *
 * NOTE: lots of race conditions here.
 */
extern
int	uucp_lock(const char *port);

/*
 * Unlock file in PORT (either /dev/file or just file).  Returns 1 on
 * success else 0.
 */
extern
int	uucp_unlock(const char *port);

/*
 * Return the path to the lock file for PORT.
 */
extern
char	*uucp_path(const char *port);

/*<<<<<<<<<<   This is end of the auto-generated output from fillproto. */

#endif /* ! __UUCP_LOCK_H__ */
